The community will be in read-only from Monday 11:59pm (PT) to Wednesday 7:30am (PT)
The community will be in read-only from Monday 11:59pm (PT) to Wednesday 7:30am (PT)
Project and Portfolio Management Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

PPM Support Tip: PPM9.30 Upgrade considerations

Highlighted
jsalass
Frequent Visitor

PPM Support Tip: PPM9.30 Upgrade considerations

1. To upgrade to PPM Center version 9.30, you must have PPM Center version 9.20 (with or without service packs) installed.

 

2. Since JBoss 4.05 is in its end of life (now we use Tomcat 7.0.42) so APP_SERVER_* parameters will no longer be required, they can be kept or removed from server.conf.

 

3. You will need new auto pass license. License.conf file is deprecated in version 9.30 as a result of the licensing mechanism change.

 

4. Carefully review your existing customizations before proceeding with the upgrade. New features and functionality provided in this version may make your customizations obsolete.

 

5.There are data model changes so you need to take that into consideration. This might impact OOTB reports, validations and portlets.

 

6. There are changes to some entities like access grants, licenses, portlets, report types, request types, special commands, tokens, validations, and workflows. You will need to check on those.

This might have no impact on upgrade but might be needed post upgrade on configuration adjustments.

 

7. Changes done on service pack, hotfixes and patches done above 9.20 and below 9.30 are incorporated in this version.

 

8. There some new and some modified server.conf changes so you need to keep an eye on that, please check the What's New What's Changed guide.

 

9. Similarly there are some new and some modified logging parameters in logging.conf that you can sue to torubleshoot issues better.

//Add this to "OnDomLoad" event